#ifndef __FIELD__
#define __FIELD__

using XMLIOSERVER::XML::XMLNode;
using XMLIOSERVER::XML::THashAttributes;

namespace XMLIOSERVER
{
   class CField : public ObjectTemplate<CField>, public FieldAttribut
   {
      public:

         CField(void) : ObjectTemplate<CField>(), FieldAttribut()
         {/* Ne rien faire de plus */}
         CField(const string& _id) : ObjectTemplate<CField>(_id), FieldAttribut()
         {/* Ne rien faire de plus */}

         static string GetName(void) {return ("field"); }

         void parse (XMLNode& _node)
         {
            string name = _node.getElementName();
            THashAttributes attributes;

            /// PARSING GESTION DES ATTRIBUTS ///
            _node.getAttributes(attributes);
            this->setAttributes(attributes);
            attributes.clear();

            /// PARSING POUR GESION DES ENFANTS
            // Rien à faire.
         }

         ~CField(void)
         { /* Ne rien faire de plus */ }

   }; // class Field

}; // namespace XMLIOSERVER

#endif // __FIELD__
