#ifndef __FILE_ATTRIBUT__
#define __FILE_ATTRIBUT__

namespace XMLIOSERVER
{
   class FileAttribut : public virtual AttributRegistrar
   {
      public :

         DECLARE_ATTR(name, string) ;
         DECLARE_ATTR(description, string) ;
         DECLARE_ATTR(output_freq, int) ;
         DECLARE_ATTR(output_level, int) ;
         DECLARE_ATTR(enabled, bool);

         FileAttribut(void) : AttributRegistrar()
         { registerAllAttributes(); }

      private :

         void registerAllAttributes(void)
         {
            RegisterAttribut(&name) ;
            RegisterAttribut(&description) ;
            RegisterAttribut(&output_freq) ;
            RegisterAttribut(&output_level) ;
            RegisterAttribut(&enabled);
         }

   } ; // class FileAttribut

}// namespace XMLIOSERVER

#endif //__FILE_ATTRIBUT__
